Main Page Widgets Namespaces Book

# Glib::Value_Boxed< T > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value_Boxed< T >:

[legend]
List of all members.

### template<class T>
class Glib::Value_Boxed< T >

## Public Types

typedef T | CppType
typedef T::BaseObjectType* | CType

## Public Member Functions

void | set (const CppType& data)
CppType | get () const

## Static Public Member Functions

GType | value_type ()

## Member Typedef Documentation

template <class T>
typedef T Glib::Value_Boxed<T>::CppType

template <class T>
typedef T::BaseObjectType* Glib::Value_Boxed<T>::CType

## Member Function Documentation

template <class T>
CppType Glib::Value_Boxed<T>::get | ( |  | ) | const`[inline]`

template <class T>
void Glib::Value_Boxed<T>::set | ( | const CppType& | data | ) | `[inline]`

template <class T>
GType Glib::Value_Boxed<T>::value_type | ( |  | ) | `[inline, static]`

| Reimplemented from Glib::ValueBase_Boxed.

The documentation for this class was generated from the following file:

- glib/glibmm/value.h